﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace model
{
    public class Administrator
    {
        /// <summary>
        /// define a DTO for an administrator
        /// attributes :
        ///     id : identifier in the database
        ///     username : username for a player
        ///     hashedPassword : hashed of the password of the player
        /// </summary>
        private int id;
        private string? username;
        private string hashedPassword;
        /// <summary>
        /// getters and setters for attributes
        /// </summary>
        public int Id
        {
            get => id;
            private set { id = value < 0 ? 0 : value; }
        }
        public string Username
        {
            get { return username == null ? "" : username; }
            private set { username = value == "" ? null : value; }
        }
        public string HashedPassword
        {
            get => hashedPassword;
            set { hashedPassword = value; }
        }

        public Administrator(string username, string hashedPassword, int id)
        {
            this.Username = username;
            this.HashedPassword = hashedPassword;
            this.Id = id;
        }
    }
}
